## libgroove 4.1.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(groove C)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
include(ExternalProject)

set(LIBGROOVE_STATUS "yes")
set(LIBGROOVE_VERSION_MAJOR 4)
set(LIBGROOVE_VERSION_MINOR 1)
set(LIBGROOVE_VERSION_PATCH 1)
set(LIBGROOVE_VERSION "${LIBGROOVE_VERSION_MAJOR}.${LIBGROOVE_VERSION_MINOR}.${LIBGROOVE_VERSION_PATCH}")
message("Configuring libgroove version ${LIBGROOVE_VERSION}")
file(GLOB_RECURSE LIBGROOVE_SOURCES ${CMAKE_SOURCE_DIR}/groove/*.c)
file(GLOB_RECURSE LIBGROOVE_HEADERS ${CMAKE_SOURCE_DIR}/groove/*.h)

if(DISABLE_PLAYER)
  set(LIBGROOVE_PLAYER_STATUS "no")
else(DISABLE_PLAYER)
  set(LIBGROOVE_PLAYER_STATUS "yes")
  message("Configuring libgrooveplayer version ${LIBGROOVE_VERSION}")
  file(GLOB_RECURSE LIBGROOVE_PLAYER_SOURCES ${CMAKE_SOURCE_DIR}/grooveplayer/*.c)
  file(GLOB_RECURSE LIBGROOVE_PLAYER_HEADERS ${CMAKE_SOURCE_DIR}/grooveplayer/*.h)
endif(DISABLE_PLAYER)

if(DISABLE_LOUDNESS)
  set(LIBGROOVE_LOUDNESS_STATUS "no")
else(DISABLE_LOUDNESS)
  set(LIBGROOVE_LOUDNESS_STATUS "yes")
  message("Configuring libgrooveloudness version ${LIBGROOVE_VERSION}")
  file(GLOB_RECURSE LIBGROOVE_LOUDNESS_SOURCES ${CMAKE_SOURCE_DIR}/grooveloudness/*.c)
  file(GLOB_RECURSE LIBGROOVE_LOUDNESS_HEADERS ${CMAKE_SOURCE_DIR}/grooveloudness/*.h)
endif(DISABLE_LOUDNESS)

if(DISABLE_FINGERPRINTER)
  set(LIBGROOVE_FINGERPRINTER_STATUS "no")
else(DISABLE_FINGERPRINTER)
  set(LIBGROOVE_FINGERPRINTER_STATUS "yes")
  message("Configuring libgroovefingerprinter version ${LIBGROOVE_VERSION}")
  file(GLOB_RECURSE LIBGROOVE_FINGERPRINTER_SOURCES ${CMAKE_SOURCE_DIR}/groovefingerprinter/*.c)
  file(GLOB_RECURSE LIBGROOVE_FINGERPRINTER_HEADERS ${CMAKE_SOURCE_DIR}/groovefingerprinter/*.h)
endif(DISABLE_FINGERPRINTER)

# check for C99
find_package(C99)
if(C99_FLAG_DETECTED)
  set(HAVE_C99 TRUE)
  set(STATUS_C99 "OK")
else(C99_FLAG_DETECTED)
  set(STATUS_C99 "not found")
  set(LIBGROOVE_STATUS "missing dependencies")
  set(LIBGROOVE_PLAYER_STATUS "missing dependencies")
  set(LIBGROOVE_LOUDNESS_STATUS "missing dependencies")
endif(C99_FLAG_DETECTED)

# check for ebur128
if(DISABLE_LOUDNESS)
  set(STATUS_EBUR128 "not needed")
  set(STATUS_DEP_LIBEBUR128 "not needed")
else(DISABLE_LOUDNESS)
  find_package(ebur128)
  if(EBUR128_FOUND)
    set(STATUS_EBUR128 "OK")
    set(STATUS_DEP_LIBEBUR128 "using system library")
    set(EBUR128_IS_BUNDLED FALSE)
  else(EBUR128_FOUND)
    set(STATUS_EBUR128 "not found - will use bundled version")
    set(STATUS_DEP_LIBEBUR128 "ready to build")
    set(EBUR128_IS_BUNDLED TRUE)

    set(EBUR128_SRC "${PROJECT_SOURCE_DIR}/deps/ebur128")
    add_subdirectory(${EBUR128_SRC})
    set(EBUR128_INCLUDE_DIR ${EBUR128_SRC})
  endif(EBUR128_FOUND)
endif(DISABLE_LOUDNESS)

# check for chromaprint
if(DISABLE_FINGERPRINTER)
  set(STATUS_CHROMAPRINT "not needed")
else(DISABLE_FINGERPRINTER)
  find_package(Chromaprint)
  if(CHROMAPRINT_FOUND)
    set(STATUS_CHROMAPRINT "OK")
  else(CHROMAPRINT_FOUND)
    set(STATUS_CHROMAPRINT "not found")
  endif(CHROMAPRINT_FOUND)
endif(DISABLE_FINGERPRINTER)

# check for SDL2
if(DISABLE_PLAYER)
  set(STATUS_SDL2 "not needed")
  set(STATUS_DEP_SDL2 "not needed")
else(DISABLE_PLAYER)
  find_package(SDL2)
  if(SDL2_FOUND)
    set(STATUS_SDL2 "OK")
    set(STATUS_DEP_SDL2 "using system library")
    set(SDL2_IS_BUNDLED FALSE)
  else(SDL2_FOUND)
    set(STATUS_SDL2 "not found - will use bundled version")
    set(STATUS_DEP_SDL2 "ready to build")
    set(SDL2_IS_BUNDLED TRUE)

    set(SDL_SHARED OFF CACHE BOOL "test")
    set(SDL_VIDEO OFF CACHE BOOL "test")
    set(SDL_RENDER OFF CACHE BOOL "test")
    set(SDL_EVENTS OFF CACHE BOOL "test")
    set(SDL_JOYSTICK OFF CACHE BOOL "test")
    set(SDL_HAPTIC OFF CACHE BOOL "test")
    set(SDL_POWER OFF CACHE BOOL "test")
    set(SDL_TIMERS OFF CACHE BOOL "test")
    set(SDL_LOADSO OFF CACHE BOOL "test")
    set(SDL_CPUINFO OFF CACHE BOOL "test")
    set(SDL_FILESYSTEM OFF CACHE BOOL "test")

    set(EXTRA_CFLAGS "-fPIC" CACHE STRING "test")

    set(SDL2_SRC "${PROJECT_SOURCE_DIR}/deps/SDL2")
    add_subdirectory(${SDL2_SRC})
    set(SDL2_INCLUDE_DIR ${SDL2_SRC})
  endif(SDL2_FOUND)
endif(DISABLE_PLAYER)

# check for libav
find_package(LibAV 10.0)
if(LIBAV_AVCODEC_FOUND AND LIBAV_AVFILTER_FOUND AND LIBAV_AVFORMAT_FOUND AND LIBAV_AVUTIL_FOUND)
  set(LIBAV_IS_BUNDLED FALSE)
  set(STATUS_DEP_LIBAV "using system libraries")
  set(STATUS_BZIP2 "not needed")
  set(STATUS_YASM "not needed")
  set(STATUS_MP3LAME "not needed")
  set(STATUS_ZLIB "not needed")
  set(STATUS_LIBAVCODEC "OK")
  set(STATUS_LIBAVFILTER "OK")
  set(STATUS_LIBAVFORMAT "OK")
  set(STATUS_LIBAVUTIL "OK")
else()
  set(LIBAV_IS_BUNDLED TRUE)
  set(STATUS_DEP_LIBAV "ready to build")

  if(LIBAV_AVCODEC_FOUND)
    set(STATUS_LIBAVCODEC "OK")
  else()
    set(STATUS_LIBAVCODEC "not found - will use bundled version")
  endif()
  if(LIBAV_AVFILTER_FOUND)
    set(STATUS_LIBAVFILTER "OK")
  else()
    set(STATUS_LIBAVFILTER "not found - will use bundled version")
  endif()
  if(LIBAV_AVFORMAT_FOUND)
    set(STATUS_LIBAVFORMAT "OK")
  else()
    set(STATUS_LIBAVFORMAT "not found - will use bundled version")
  endif()
  if(LIBAV_AVUTIL_FOUND)
    set(STATUS_LIBAVUTIL "OK")
  else()
    set(STATUS_LIBAVUTIL "not found - will use bundled version")
  endif()

  # check for bz2
  find_package(BZip2)
  if(BZIP2_FOUND)
    set(STATUS_BZIP2 "OK")
  else(BZIP2_FOUND)
    set(STATUS_BZIP2 "not found")
    set(STATUS_DEP_LIBAV "missing dependencies, see below")
    set(LIBGROOVE_STATUS "missing dependencies")
    set(LIBGROOVE_PLAYER_STATUS "missing dependencies")
    set(LIBGROOVE_LOUDNESS_STATUS "missing dependencies")
  endif(BZIP2_FOUND)

  # check for yasm
  find_package(Yasm)
  if(${YASM_EXECUTABLE} STREQUAL "YASM_EXECUTABLE-NOTFOUND")
    set(STATUS_YASM "not found")
    set(STATUS_DEP_LIBAV "missing dependencies, see below")
    set(LIBGROOVE_STATUS "missing dependencies")
    set(LIBGROOVE_PLAYER_STATUS "missing dependencies")
    set(LIBGROOVE_LOUDNESS_STATUS "missing dependencies")
  else()
    set(STATUS_YASM "OK")
  endif()
  
  # check for libmp3lame
  find_package(mp3lame)
  if(MP3LAME_FOUND)
    set(STATUS_MP3LAME "OK")
  else(MP3LAME_FOUND)
    set(STATUS_DEP_LIBAV "missing dependencies, see below")
    set(STATUS_MP3LAME "not found")
  endif(MP3LAME_FOUND)

  # check for zlib
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(STATUS_ZLIB "OK")
  else(ZLIB_FOUND)
    set(STATUS_ZLIB "not found")
    set(STATUS_DEP_LIBAV "missing dependencies, see below")
    set(LIBGROOVE_STATUS "missing dependencies")
    set(LIBGROOVE_PLAYER_STATUS "missing dependencies")
    set(LIBGROOVE_LOUDNESS_STATUS "missing dependencies")
  endif(ZLIB_FOUND)

  set(LIBAV_SRC "${PROJECT_SOURCE_DIR}/deps/libav")
  set(LIBAV_BUILD "${PROJECT_BINARY_DIR}/deps/libav")
  set(LIBAV_INSTALL "${LIBAV_BUILD}/install")

  if(APPLE)
  else(APPLE)
    set(LIBGROOVE_LDFLAGS "-Wl,-Bsymbolic")
  endif(APPLE)

  ExternalProject_Add(libav
    SOURCE_DIR ${LIBAV_SRC}
    BINARY_DIR ${LIBAV_BUILD}
    INSTALL_DIR ${LIBAV_INSTALL}
    CONFIGURE_COMMAND ${LIBAV_SRC}/configure --prefix=${LIBAV_INSTALL} --enable-pic --enable-gpl --enable-libmp3lame
    )

endif()

# check for pthreads
find_package(Threads)
if(Threads_FOUND)
  set(STATUS_THREADS "OK")
else(Threads_FOUND)
  set(STATUS_THREADS "not found")
  set(LIBGROOVE_STATUS "missing dependencies")
  set(LIBGROOVE_PLAYER_STATUS "missing dependencies")
  set(LIBGROOVE_LOUDNESS_STATUS "missing dependencies")
endif(Threads_FOUND)

configure_file (
  "${PROJECT_SOURCE_DIR}/groove/config.h.in"
  "${PROJECT_BINARY_DIR}/config.h"
  )

set(LIB_CFLAGS "${C99_C_FLAGS} -pedantic -Werror -Wall -Werror=strict-prototypes -Werror=old-style-definition -Werror=missing-prototypes -D_REENTRANT -D_POSIX_C_SOURCE=200809L")
set(EXAMPLE_CFLAGS "${C99_C_FLAGS} -pedantic -Werror -Wall -g")
set(EXAMPLE_INCLUDES "${PROJECT_SOURCE_DIR}")

add_library(groove SHARED ${LIBGROOVE_SOURCES} ${LIBGROOVE_HEADERS})
set_target_properties(groove PROPERTIES
  SOVERSION ${LIBGROOVE_VERSION_MAJOR}
  VERSION ${LIBGROOVE_VERSION}
  COMPILE_FLAGS ${LIB_CFLAGS}
  )
if(LIBGROOVE_LDFLAGS)
  set_target_properties(groove PROPERTIES LINK_FLAGS ${LIBGROOVE_LDFLAGS})
endif()
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${PROJECT_BINARY_DIR})
if(LIBAV_IS_BUNDLED)
  target_link_libraries(groove
    ${CMAKE_DL_LIBS}
    ${LIBAV_INSTALL}/lib/libavfilter.a
    ${LIBAV_INSTALL}/lib/libavformat.a
    ${LIBAV_INSTALL}/lib/libavcodec.a
    ${LIBAV_INSTALL}/lib/libavresample.a
    ${LIBAV_INSTALL}/lib/libswscale.a
    ${LIBAV_INSTALL}/lib/libavutil.a
    ${BZIP2_LIBRARIES}
    ${ZLIB_LIBRARIES})
  if(UNIX)
    target_link_libraries(groove m)
  endif(UNIX)
  if(MP3LAME_FOUND)
    target_link_libraries(groove ${MP3LAME_LIBRARY})
  endif()
  include_directories(${LIBAV_INSTALL}/include)
  add_dependencies(groove libav)
else()
  target_link_libraries(groove LINK_PRIVATE
    ${LIBAV_AVCODEC_LIBRARIES}
    ${LIBAV_AVFILTER_LIBRARIES}
    ${LIBAV_AVFORMAT_LIBRARIES})
  target_link_libraries(groove LINK_PUBLIC ${LIBAV_AVUTIL_LIBRARIES})
  if(UNIX)
    target_link_libraries(groove LINK_PRIVATE m)
  endif(UNIX)
  include_directories(${LIBAV_INCLUDE_DIRS})
endif()
target_link_libraries(groove LINK_PUBLIC ${CMAKE_THREAD_LIBS_INIT})


add_library(groove_static STATIC ${LIBGROOVE_SOURCES} ${LIBGROOVE_HEADERS})
set_target_properties(groove_static PROPERTIES
  OUTPUT_NAME groove
  COMPILE_FLAGS "${LIB_CFLAGS} -fPIC")
if(LIBAV_IS_BUNDLED)
  add_dependencies(groove_static libav)
endif()
install(TARGETS groove_static DESTINATION lib)


install(FILES
  "groove/groove.h"
  "groove/queue.h"
  "groove/encoder.h"
  DESTINATION "include/groove")
install(TARGETS groove DESTINATION lib)

add_executable(metadata example/metadata.c)
set_target_properties(metadata PROPERTIES
  COMPILE_FLAGS ${EXAMPLE_CFLAGS})
include_directories(${EXAMPLE_INCLUDES})
target_link_libraries(metadata groove)
add_dependencies(metadata groove)


add_executable(transcode example/transcode.c)
set_target_properties(transcode PROPERTIES
  COMPILE_FLAGS ${EXAMPLE_CFLAGS})
include_directories(${EXAMPLE_INCLUDES})
target_link_libraries(transcode groove)
add_dependencies(transcode groove)


if(DISABLE_PLAYER)
else()
  add_library(grooveplayer SHARED
    ${LIBGROOVE_PLAYER_SOURCES}
    ${LIBGROOVE_PLAYER_HEADERS})
  set_target_properties(grooveplayer PROPERTIES
    SOVERSION ${LIBGROOVE_VERSION_MAJOR}
    VERSION ${LIBGROOVE_VERSION}
    COMPILE_FLAGS ${LIB_CFLAGS}
    )
  target_link_libraries(grooveplayer LINK_PUBLIC groove)
  if(UNIX)
    target_link_libraries(grooveplayer LINK_PRIVATE rt)
  endif(UNIX)
  add_dependencies(grooveplayer groove)
  if(SDL2_IS_BUNDLED)
    target_link_libraries(grooveplayer SDL2-static)
    add_dependencies(grooveplayer SDL2-static)
  else()
    target_link_libraries(grooveplayer LINK_PRIVATE ${SDL2_LIBRARY})
  endif()
  include_directories(${SDL2_INCLUDE_DIR})

  install(FILES "grooveplayer/player.h" DESTINATION "include/grooveplayer")
  install(TARGETS grooveplayer DESTINATION lib)

  add_library(grooveplayer_static STATIC
    ${LIBGROOVE_PLAYER_SOURCES}
    ${LIBGROOVE_PLAYER_HEADERS})
  set_target_properties(grooveplayer_static PROPERTIES
    OUTPUT_NAME grooveplayer
    COMPILE_FLAGS "${LIB_CFLAGS} -fPIC")
  if(SDL2_IS_BUNDLED)
    add_dependencies(grooveplayer_static SDL2-static)
  endif()
  install(TARGETS grooveplayer_static DESTINATION lib)


  add_executable(playlist example/playlist.c ${PROJECT_SOURCE_DIR}/grooveplayer/player.h)
  set_target_properties(playlist PROPERTIES
    COMPILE_FLAGS ${EXAMPLE_CFLAGS})
  include_directories(${EXAMPLE_INCLUDES})
  target_link_libraries(playlist groove grooveplayer)
  add_dependencies(playlist groove grooveplayer)
endif()

if(DISABLE_LOUDNESS)
else()
  add_library(grooveloudness SHARED
    ${LIBGROOVE_LOUDNESS_SOURCES}
    ${LIBGROOVE_LOUDNESS_HEADERS})
  set_target_properties(grooveloudness PROPERTIES

=== debian/changelog ===
libgroove (4.1.1+dfsg-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 22:26:31 +0100

libgroove (4.1.1+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Andrew Kelley <superjoe30@gmail.com>  Fri, 20 Jun 2014 15:04:01 -0700

libgroove (4.1.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * Add groove_playlist_set_fill_mode symbol for libgroove4

 -- Andrew Kelley <superjoe30@gmail.com>  Sun, 15 Jun 2014 16:59:40 -0700

libgroove (4.0.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Remove patch to link with -lm because it is included in the new release.

 -- Andrew Kelley <superjoe30@gmail.com>  Tue, 03 Jun 2014 10:48:30 -0700

libgroove (4.0.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * SONAME updated from 3 to 4
  * new binary package: libgroovefingerprinter4
  * new dev package: libgroovefingerprinter-dev
  * debian/control: other -dev packages depend on libgroove-dev
  * debian/copyright: justify the fact that we repack the pristine tar
  * Better package descriptions
  * watch: update dversionmangle so that uscan finds current version
  * add debian/gbp.conf
  * add patch from upstream to link with -lm
  * remove Pre-Depends from debug package

 -- Andrew Kelley <superjoe30@gmail.com>  Wed, 14 May 2014 12:48:42 -0700

libgroove (3.0.6+dfsg-1) experimental; urgency=low

  * Initial release. (Closes: #738461)

 -- Andrew Kelley <superjoe30@gmail.com>  Thu, 20 Feb 2014 13:12:36 -0500

=== debian/control ===
Source: libgroove
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Kelley <superjoe30@gmail.com>
Build-Depends: debhelper (>= 9),
 cmake,
 libebur128-dev,
 libchromaprint-dev,
 libavcodec-dev (>= 6:10~),
 libavformat-dev (>= 6:10~),
 libavfilter-dev (>= 6:10~),
 libavutil-dev (>= 6:10~),
 libav-tools,
 libsdl2-dev,
 pkg-config
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/andrewrk/libgroove
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libgroove.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libgroove.git;a=summary

Package: libgroove-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgroove4 (= ${binary:Version}), ${misc:Depends}
Description: audio dispatching library (development files)
 This C library provides an sink-based API for decoding and encoding audio.
 It is intended to be used as a backend for music player applications, however
 it may also be used as a backend for any audio processing utility.
 .
 Features:
  * Uses libav for decoding and encoding.
  * Add and remove entries on a playlist for gapless playback.
  * Supports idempotent pause, play, and seek.
  * Per-playlist-item gain adjustment so you can implement loudness compensation
    without audio glitches.
  * Read and write metadata tags.
  * Extensible sink-based interface. A sink provides resampling and keeps its
    buffer full. This package contains the raw sink which provides
    reference-counted raw audio buffers. Other sinks are built on top of this
    one.
  * Thread-safe.
 .
 This package contains the development files.

Package: libgroove4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: music player backend
 This library provides decoding and encoding of audio on a playlist.
 It is intended to be used as a backend for music player applications, however
 it is generic enough to be used as a backend for any audio processing utility.
 .
 Features:
  * Uses libav for decoding and encoding.
  * Add and remove entries on a playlist for gapless playback.
  * Supports idempotent pause, play, and seek.
  * Per-playlist-item gain adjustment so you can implement loudness compensation
    without audio glitches.
  * Read and write metadata tags.
  * Extensible sink-based interface. A sink provides resampling and keeps its
    buffer full. This package contains the raw sink which provides
    reference-counted raw audio buffers. Other sinks are built on top of this
    one.
  * Thread-safe.
 .
 This package contains the shared library.

Package: libgroove-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgroove4 (= ${binary:Version}),
 libgrooveplayer4 (= ${binary:Version}),
 libgrooveloudness4 (= ${binary:Version}),
 libgroovefingerprinter4 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for libgroove
 This package contains the debugging symbols for libgroove4, libgrooveplayer4,
 libgrooveloudness4, and libgroovefingerprinter4.


Package: libgrooveplayer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrooveplayer4 (= ${binary:Version}),
 libgroove-dev,
 ${misc:Depends}
Description: audio device playback sink for libgroove (development files)
 This C library provides a GroovePlayer struct which attaches to a
 GroovePlaylist and sends audio frames to a sound device.
 .
 This package contains the development files.

Package: libgrooveplayer4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: hardware audio playback for libgroove
 This libgroove plugin plays audio via a sound device.
 .
 This package contains the shared library.

Package: libgrooveloudness-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrooveloudness4 (= ${binary:Version}),
 libgroove-dev,
 ${misc:Depends}
Description: loudness scanner sink for libgroove (development files)
 This C library provides a GrooveLoudness object which attaches to a
 GroovePlaylist and uses the EBU R128 standard to detect loudness. The values
 it produces are compatible with ReplayGain.
 .
 This package contains the development files.

Package: libgrooveloudness4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: loudness scanner for libgroove
 This libgroove plugin uses the EBU R128 standard to detect loudness.
 The values it produces are compatible with ReplayGain.
 .
 This package contains the shared library.

Package: libgroovefingerprinter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgroovefingerprinter4 (= ${binary:Version}),
 libgroove-dev, 
 ${misc:Depends}
Description: acoustid fingerprinter sink for libgroove (development files)
 This C library provides a GrooveFingerprinter object which attaches to a
 GroovePlaylist and chromaprint to generate a unique id for media. The id
 can be used with the acoustid.org service to find out metadata tags for
 the media.
 .
 This package contains the development files.

Package: libgroovefingerprinter4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: acoustid fingerprinter for libgroove
 This libgroove plugin generates audio fingerprints which can be used with the
 acoustid.org service to find out metadata tags for the media.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $@ 

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libgroove-dbg

.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.gz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.gz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	&& $(RM) -rfv deps \
	    cmake/Findmp3lame.cmake \
	    cmake/FindYasm.cmake
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.gz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libgroove-$1\.tar\.gz/ https://github.com/andrewrk/libgroove/tags .*/v?(\d\S*)\.tar\.gz

## libgroove 4.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(groove C)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

set(LIBGROOVE_STATUS "yes")
set(LIBGROOVE_VERSION_MAJOR 4)
set(LIBGROOVE_VERSION_MINOR 2)
set(LIBGROOVE_VERSION_PATCH 1)
set(LIBGROOVE_VERSION "${LIBGROOVE_VERSION_MAJOR}.${LIBGROOVE_VERSION_MINOR}.${LIBGROOVE_VERSION_PATCH}")
message("Configuring libgroove version ${LIBGROOVE_VERSION}")
file(GLOB_RECURSE LIBGROOVE_SOURCES ${CMAKE_SOURCE_DIR}/groove/*.c)
file(GLOB_RECURSE LIBGROOVE_HEADERS ${CMAKE_SOURCE_DIR}/groove/*.h)

if(DISABLE_PLAYER)
  set(LIBGROOVE_PLAYER_STATUS "no")
else(DISABLE_PLAYER)
  set(LIBGROOVE_PLAYER_STATUS "yes")
  message("Configuring libgrooveplayer version ${LIBGROOVE_VERSION}")
  set(LIBGROOVE_PLAYER_SOURCES ${CMAKE_SOURCE_DIR}/grooveplayer/player.c)
  file(GLOB_RECURSE LIBGROOVE_PLAYER_HEADERS ${CMAKE_SOURCE_DIR}/grooveplayer/*.h)
  if(APPLE)
    set(LIBGROOVE_PLAYER_SOURCES ${LIBGROOVE_PLAYER_SOURCES}
      ${CMAKE_SOURCE_DIR}/grooveplayer/osx_time_shim.c)
  endif(APPLE)
endif(DISABLE_PLAYER)

if(DISABLE_LOUDNESS)
  set(LIBGROOVE_LOUDNESS_STATUS "no")
else(DISABLE_LOUDNESS)
  set(LIBGROOVE_LOUDNESS_STATUS "yes")
  message("Configuring libgrooveloudness version ${LIBGROOVE_VERSION}")
  file(GLOB_RECURSE LIBGROOVE_LOUDNESS_SOURCES ${CMAKE_SOURCE_DIR}/grooveloudness/*.c)
  file(GLOB_RECURSE LIBGROOVE_LOUDNESS_HEADERS ${CMAKE_SOURCE_DIR}/grooveloudness/*.h)
endif(DISABLE_LOUDNESS)

if(DISABLE_FINGERPRINTER)
  set(LIBGROOVE_FINGERPRINTER_STATUS "no")
else(DISABLE_FINGERPRINTER)
  set(LIBGROOVE_FINGERPRINTER_STATUS "yes")
  message("Configuring libgroovefingerprinter version ${LIBGROOVE_VERSION}")
  file(GLOB_RECURSE LIBGROOVE_FINGERPRINTER_SOURCES ${CMAKE_SOURCE_DIR}/groovefingerprinter/*.c)
  file(GLOB_RECURSE LIBGROOVE_FINGERPRINTER_HEADERS ${CMAKE_SOURCE_DIR}/groovefingerprinter/*.h)
endif(DISABLE_FINGERPRINTER)

# check for C99
find_package(C99)
if(C99_FLAG_DETECTED)
  set(HAVE_C99 TRUE)
  set(STATUS_C99 "OK")
else(C99_FLAG_DETECTED)
  set(STATUS_C99 "not found")
  set(LIBGROOVE_STATUS "missing dependencies")
  set(LIBGROOVE_PLAYER_STATUS "missing dependencies")
  set(LIBGROOVE_LOUDNESS_STATUS "missing dependencies")
endif(C99_FLAG_DETECTED)

# check for ebur128
if(DISABLE_LOUDNESS)
  set(STATUS_EBUR128 "not needed")
else(DISABLE_LOUDNESS)
  find_package(ebur128)
  if(EBUR128_FOUND)
    set(STATUS_EBUR128 "OK")
  else(EBUR128_FOUND)
    set(STATUS_EBUR128 "not found")
  endif(EBUR128_FOUND)
endif(DISABLE_LOUDNESS)

# check for chromaprint
if(DISABLE_FINGERPRINTER)
  set(STATUS_CHROMAPRINT "not needed")
else(DISABLE_FINGERPRINTER)
  find_package(Chromaprint)
  if(CHROMAPRINT_FOUND)
    set(STATUS_CHROMAPRINT "OK")
  else(CHROMAPRINT_FOUND)
    set(STATUS_CHROMAPRINT "not found")
  endif(CHROMAPRINT_FOUND)
endif(DISABLE_FINGERPRINTER)

# check for SDL2
if(DISABLE_PLAYER)
  set(STATUS_SDL2 "not needed")
else(DISABLE_PLAYER)
  find_package(SDL2)
  if(SDL2_FOUND)
    set(STATUS_SDL2 "OK")
  else(SDL2_FOUND)
    set(STATUS_SDL2 "not found")
  endif(SDL2_FOUND)
endif(DISABLE_PLAYER)

# check for libav
find_package(LibAV)
if(AVCODEC_FOUND)
  set(STATUS_LIBAVCODEC "OK")
else()
  set(STATUS_LIBAVCODEC "not found")
endif()
if(AVFILTER_FOUND)
  set(STATUS_LIBAVFILTER "OK")
else()
  set(STATUS_LIBAVFILTER "not found")
endif()
if(AVFORMAT_FOUND)
  set(STATUS_LIBAVFORMAT "OK")
else()
  set(STATUS_LIBAVFORMAT "not found")
endif()
if(AVUTIL_FOUND)
  set(STATUS_LIBAVUTIL "OK")
else()
  set(STATUS_LIBAVUTIL "not found")
endif()

# check for pthreads
find_package(Threads)
if(Threads_FOUND)
  set(STATUS_THREADS "OK")
else(Threads_FOUND)
  set(STATUS_THREADS "not found")
  set(LIBGROOVE_STATUS "missing dependencies")
  set(LIBGROOVE_PLAYER_STATUS "missing dependencies")
  set(LIBGROOVE_LOUDNESS_STATUS "missing dependencies")
endif(Threads_FOUND)

configure_file (
  "${PROJECT_SOURCE_DIR}/groove/config.h.in"
  "${PROJECT_BINARY_DIR}/config.h"
  )

set(LIB_CFLAGS "${C99_C_FLAGS} -pedantic -Werror -Wall -Werror=strict-prototypes -Werror=old-style-definition -Werror=missing-prototypes -D_REENTRANT -D_POSIX_C_SOURCE=200809L")
set(EXAMPLE_CFLAGS "${C99_C_FLAGS} -pedantic -Werror -Wall -g")
set(EXAMPLE_INCLUDES "${PROJECT_SOURCE_DIR}")

add_library(groove SHARED ${LIBGROOVE_SOURCES} ${LIBGROOVE_HEADERS})
set_target_properties(groove PROPERTIES
  SOVERSION ${LIBGROOVE_VERSION_MAJOR}
  VERSION ${LIBGROOVE_VERSION}
  COMPILE_FLAGS ${LIB_CFLAGS}
  )
if(LIBGROOVE_LDFLAGS)
  set_target_properties(groove PROPERTIES LINK_FLAGS ${LIBGROOVE_LDFLAGS})
endif()
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${PROJECT_BINARY_DIR})
target_link_libraries(groove LINK_PRIVATE
  ${AVCODEC_LIBRARIES}
  ${AVFILTER_LIBRARIES}
  ${AVFORMAT_LIBRARIES})
target_link_libraries(groove LINK_PUBLIC ${AVUTIL_LIBRARIES})
if(UNIX)
  target_link_libraries(groove LINK_PRIVATE m)
endif(UNIX)
include_directories(${LIBAV_INCLUDE_DIRS})
target_link_libraries(groove LINK_PUBLIC ${CMAKE_THREAD_LIBS_INIT})


add_library(groove_static STATIC ${LIBGROOVE_SOURCES} ${LIBGROOVE_HEADERS})
set_target_properties(groove_static PROPERTIES
  OUTPUT_NAME groove
  COMPILE_FLAGS "${LIB_CFLAGS} -fPIC")
install(TARGETS groove_static DESTINATION lib)


install(FILES
  "groove/groove.h"
  "groove/queue.h"
  "groove/encoder.h"
  DESTINATION "include/groove")
install(TARGETS groove DESTINATION lib)

add_executable(metadata example/metadata.c)
set_target_properties(metadata PROPERTIES
  COMPILE_FLAGS ${EXAMPLE_CFLAGS})
include_directories(${EXAMPLE_INCLUDES})
target_link_libraries(metadata groove)
add_dependencies(metadata groove)


add_executable(transcode example/transcode.c)
set_target_properties(transcode PROPERTIES
  COMPILE_FLAGS ${EXAMPLE_CFLAGS})
include_directories(${EXAMPLE_INCLUDES})
target_link_libraries(transcode groove)
add_dependencies(transcode groove)


if(DISABLE_PLAYER)
else()
  add_library(grooveplayer SHARED
    ${LIBGROOVE_PLAYER_SOURCES}
    ${LIBGROOVE_PLAYER_HEADERS})
  set_target_properties(grooveplayer PROPERTIES
    SOVERSION ${LIBGROOVE_VERSION_MAJOR}
    VERSION ${LIBGROOVE_VERSION}
    COMPILE_FLAGS ${LIB_CFLAGS}
    )
  target_link_libraries(grooveplayer LINK_PUBLIC groove)
  if(UNIX AND NOT APPLE)
    target_link_libraries(grooveplayer LINK_PRIVATE rt)
  endif()
  add_dependencies(grooveplayer groove)
  target_link_libraries(grooveplayer LINK_PRIVATE ${SDL2_LIBRARY})
  include_directories(${SDL2_INCLUDE_DIR})

  install(FILES "grooveplayer/player.h" DESTINATION "include/grooveplayer")
  install(TARGETS grooveplayer DESTINATION lib)

  add_library(grooveplayer_static STATIC
    ${LIBGROOVE_PLAYER_SOURCES}
    ${LIBGROOVE_PLAYER_HEADERS})
  set_target_properties(grooveplayer_static PROPERTIES
    OUTPUT_NAME grooveplayer
    COMPILE_FLAGS "${LIB_CFLAGS} -fPIC")
  install(TARGETS grooveplayer_static DESTINATION lib)


  add_executable(playlist example/playlist.c ${PROJECT_SOURCE_DIR}/grooveplayer/player.h)
  set_target_properties(playlist PROPERTIES
    COMPILE_FLAGS ${EXAMPLE_CFLAGS})
  include_directories(${EXAMPLE_INCLUDES})
  target_link_libraries(playlist groove grooveplayer)
  add_dependencies(playlist groove grooveplayer)
endif()

if(DISABLE_LOUDNESS)
else()
  add_library(grooveloudness SHARED
    ${LIBGROOVE_LOUDNESS_SOURCES}
    ${LIBGROOVE_LOUDNESS_HEADERS})
  set_target_properties(grooveloudness PROPERTIES
    SOVERSION ${LIBGROOVE_VERSION_MAJOR}
    VERSION ${LIBGROOVE_VERSION}
    COMPILE_FLAGS ${LIB_CFLAGS}
    )
  target_link_libraries(grooveloudness LINK_PUBLIC groove ${CMAKE_THREAD_LIBS_INIT})
  add_dependencies(grooveloudness groove)
  target_link_libraries(grooveloudness LINK_PRIVATE ${EBUR128_LIBRARY})
  include_directories(${EBUR128_INCLUDE_DIR})

  install(FILES "grooveloudness/loudness.h" DESTINATION "include/grooveloudness")
  install(TARGETS grooveloudness DESTINATION lib)


  add_library(grooveloudness_static STATIC
    ${LIBGROOVE_LOUDNESS_SOURCES}
    ${LIBGROOVE_LOUDNESS_HEADERS})
  set_target_properties(grooveloudness_static PROPERTIES
    OUTPUT_NAME grooveloudness
    COMPILE_FLAGS "${LIB_CFLAGS} -fPIC")
  install(TARGETS grooveloudness_static DESTINATION lib)


  add_executable(replaygain example/replaygain.c)
  set_target_properties(replaygain PROPERTIES
    COMPILE_FLAGS ${EXAMPLE_CFLAGS})
  include_directories(${EXAMPLE_INCLUDES})
  target_link_libraries(replaygain groove grooveloudness)
  add_dependencies(replaygain groove grooveloudness)
endif()

if(DISABLE_FINGERPRINTER)
else()
  add_library(groovefingerprinter SHARED
    ${LIBGROOVE_FINGERPRINTER_SOURCES}
    ${LIBGROOVE_FINGERPRINTER_HEADERS})
  set_target_properties(groovefingerprinter PROPERTIES
    SOVERSION ${LIBGROOVE_VERSION_MAJOR}
    VERSION ${LIBGROOVE_VERSION}
    COMPILE_FLAGS ${LIB_CFLAGS}
    )
  target_link_libraries(groovefingerprinter LINK_PUBLIC groove ${CMAKE_THREAD_LIBS_INIT})
  add_dependencies(groovefingerprinter groove)
  target_link_libraries(groovefingerprinter LINK_PRIVATE ${CHROMAPRINT_LIBRARY})
  include_directories(${CHROMAPRINT_INCLUDE_DIR})

  install(FILES "groovefingerprinter/fingerprinter.h" DESTINATION "include/groovefingerprinter")
  install(TARGETS groovefingerprinter DESTINATION lib)


  add_library(groovefingerprinter_static STATIC
    ${LIBGROOVE_FINGERPRINTER_SOURCES}
    ${LIBGROOVE_FINGERPRINTER_HEADERS})
  set_target_properties(groovefingerprinter_static PROPERTIES
    OUTPUT_NAME groovefingerprinter
    COMPILE_FLAGS "${LIB_CFLAGS} -fPIC")
  install(TARGETS groovefingerprinter_static DESTINATION lib)


  add_executable(fingerprint example/fingerprint.c)
  set_target_properties(fingerprint PROPERTIES
    COMPILE_FLAGS ${EXAMPLE_CFLAGS})
  include_directories(${EXAMPLE_INCLUDES})
  target_link_libraries(fingerprint groove groovefingerprinter)
  add_dependencies(fingerprint groove groovefingerprinter)
endif()

message("\n"
"Installation Summary\n"
"--------------------\n"
"* Install Directory            : ${CMAKE_INSTALL_PREFIX}\n"
"* Build libgroove              : ${LIBGROOVE_STATUS}\n"
"* Build libgrooveplayer        : ${LIBGROOVE_PLAYER_STATUS}\n"
"* Build libgrooveloudness      : ${LIBGROOVE_LOUDNESS_STATUS}\n"
"* Build libgroovefingerprinter : ${LIBGROOVE_FINGERPRINTER_STATUS}\n"
)

message(
"System Dependencies\n"
"-------------------\n"
"* C99 Compiler                 : ${STATUS_C99}\n"
"* threads                      : ${STATUS_THREADS}\n"
"* SDL2                         : ${STATUS_SDL2}\n"
"* ebur128                      : ${STATUS_EBUR128}\n"
"* chromaprint                  : ${STATUS_CHROMAPRINT}\n"
"* libavformat                  : ${STATUS_LIBAVFORMAT}\n"
"* libavcodec                   : ${STATUS_LIBAVCODEC}\n"
"* libavfilter                  : ${STATUS_LIBAVFILTER}\n"
"* libavutil                    : ${STATUS_LIBAVUTIL}"
)

message("\n"
"If everything is looks good, proceed with\n"
"make\n"
)

=== debian/changelog ===
libgroove (4.2.1-1build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:09:15 +0200

libgroove (4.2.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes build on GNU/Hurd (Closes: #764374)
  * Bump standards version to 3.9.6

 -- Andrew Kelley <superjoe30@gmail.com>  Tue, 07 Oct 2014 17:41:56 +0000

libgroove (4.2.0-1) unstable; urgency=low

  * New upstream release
  * No longer repack orig tarball
  * Simplify copyright file; upstream dropped some third party build deps
  * No longer build-depend on libav-tools
  * Update watch file to canonical format
  * Refresh GNUInstallDirs patch
  * Remove no longer relevant lintan override
  * Update libgrooveplayer long description

 -- Andrew Kelley <superjoe30@gmail.com>  Mon, 29 Sep 2014 00:00:21 +0000

## libgroove 4.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,17 @@
 cmake_minimum_required(VERSION 2.8)
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE "Debug" CACHE STRING
+      "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
+endif()
+
 project(groove C)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
 set(LIBGROOVE_STATUS "yes")
 set(LIBGROOVE_VERSION_MAJOR 4)
-set(LIBGROOVE_VERSION_MINOR 2)
-set(LIBGROOVE_VERSION_PATCH 1)
+set(LIBGROOVE_VERSION_MINOR 3)
+set(LIBGROOVE_VERSION_PATCH 0)
 set(LIBGROOVE_VERSION "${LIBGROOVE_VERSION_MAJOR}.${LIBGROOVE_VERSION_MINOR}.${LIBGROOVE_VERSION_PATCH}")
 message("Configuring libgroove version ${LIBGROOVE_VERSION}")
 file(GLOB_RECURSE LIBGROOVE_SOURCES ${CMAKE_SOURCE_DIR}/groove/*.c)

=== debian/changelog ===
libgroove (4.3.0-5) unstable; urgency=medium

  * QA upload.
  * Orphan package, set maintainer to qa group

 -- Felipe Sateler <fsateler@debian.org>  Sat, 29 Sep 2018 19:11:10 -0300

libgroove (4.3.0-4) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Drop libgroove-dbg.
    - Bump standards version to 4.1.4.
  * debian/libgroove-dev.docs:
    - Rename from debian/docs to be more explicit.
  * debian/patches:
    - Add patch to fix FTBFS with FFmpeg 4.0. (Closes: #888376)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/control: Remove trailing whitespaces.
  * d/rules: Remove trailing whitespaces.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

 -- James Cowgill <jcowgill@debian.org>  Sat, 19 May 2018 14:52:15 +0200

libgroove (4.3.0-3) unstable; urgency=medium

  * Use gbp-pq for patch handling
  * dummyplayer: do not unlock the play head mutex when an underrun occurs
    (Closes: #844137)

 -- Felipe Sateler <fsateler@debian.org>  Tue, 03 Jan 2017 21:30:11 -0300

libgroove (4.3.0-2) unstable; urgency=medium

  * Team upload

  [ Andreas Cadhalpun ]
  * Fix FTBFS by disabling -Werror. (Closes: #810564)

 -- Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>  Mon, 11 Jan 2016 20:28:58 -0300

libgroove (4.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Felipe Sateler <fsateler@debian.org>  Thu, 29 Oct 2015 21:16:23 -0300

=== debian/control ===
Source: libgroove
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11),
               cmake,
               libebur128-dev,
               libchromaprint-dev,
               libavcodec-dev (>= 6:10~),
               libavformat-dev (>= 6:10~),
               libavfilter-dev (>= 6:10~),
               libavutil-dev (>= 6:10~),
               libsdl2-dev,
               pkg-config
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/multimedia-team/libgroove
Vcs-Git: https://salsa.debian.org/multimedia-team/libgroove.git
Homepage: https://github.com/andrewrk/libgroove

Package: libgroove-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgroove4 (= ${binary:Version}),
         ${misc:Depends}
Description: audio dispatching library (development files)
 This C library provides an sink-based API for decoding and encoding audio.
 It is intended to be used as a backend for music player applications, however
 it may also be used as a backend for any audio processing utility.
 .
 Features:
  * Uses libav for decoding and encoding.
  * Add and remove entries on a playlist for gapless playback.
  * Supports idempotent pause, play, and seek.
  * Per-playlist-item gain adjustment so you can implement loudness compensation
    without audio glitches.
  * Read and write metadata tags.
  * Extensible sink-based interface. A sink provides resampling and keeps its
    buffer full. This package contains the raw sink which provides
    reference-counted raw audio buffers. Other sinks are built on top of this
    one.
  * Thread-safe.
 .
 This package contains the development files.

Package: libgroove4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: music player backend
 This library provides decoding and encoding of audio on a playlist.
 It is intended to be used as a backend for music player applications, however
 it is generic enough to be used as a backend for any audio processing utility.
 .
 Features:
  * Uses libav for decoding and encoding.
  * Add and remove entries on a playlist for gapless playback.
  * Supports idempotent pause, play, and seek.
  * Per-playlist-item gain adjustment so you can implement loudness compensation
    without audio glitches.
  * Read and write metadata tags.
  * Extensible sink-based interface. A sink provides resampling and keeps its
    buffer full. This package contains the raw sink which provides
    reference-counted raw audio buffers. Other sinks are built on top of this
    one.
  * Thread-safe.
 .
 This package contains the shared library.

Package: libgrooveplayer-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgrooveplayer4 (= ${binary:Version}),
         libgroove-dev,
         ${misc:Depends}
Description: audio device playback sink for libgroove (development files)
 This C library provides a GroovePlayer struct which attaches to a
 GroovePlaylist and sends audio frames to a sound device. It also includes
 dummy player which can simulate playback without actually having access
 to a sound device.
 .
 This package contains the development files.

Package: libgrooveplayer4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: hardware audio playback for libgroove
 This libgroove plugin plays audio via a sound device. It includes a dummy
 player which can simulate playback without actually having access to a sound
 device.
 .
 This package contains the shared library.

Package: libgrooveloudness-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgrooveloudness4 (= ${binary:Version}),
         libgroove-dev,
         ${misc:Depends}
Description: loudness scanner sink for libgroove (development files)
 This C library provides a GrooveLoudness object which attaches to a
 GroovePlaylist and uses the EBU R128 standard to detect loudness. The values
 it produces are compatible with ReplayGain.
 .
 This package contains the development files.

Package: libgrooveloudness4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: loudness scanner for libgroove
 This libgroove plugin uses the EBU R128 standard to detect loudness.
 The values it produces are compatible with ReplayGain.
 .
 This package contains the shared library.

Package: libgroovefingerprinter-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgroovefingerprinter4 (= ${binary:Version}),
         libgroove-dev,
         ${misc:Depends}
Description: acoustid fingerprinter sink for libgroove (development files)
 This C library provides a GrooveFingerprinter object which attaches to a
 GroovePlaylist and chromaprint to generate a unique id for media. The id
 can be used with the acoustid.org service to find out metadata tags for
 the media.
 .
 This package contains the development files.

Package: libgroovefingerprinter4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: acoustid fingerprinter for libgroove
 This libgroove plugin generates audio fingerprints which can be used with the
 acoustid.org service to find out metadata tags for the media.
 .
 This package contains the shared library.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libgroove-$1.tar.gz/ \
 https://github.com/andrewrk/libgroove/tags .*/archive/v?([\d\.]+).tar.gz
